Name: haddock
Version: 2.0.0.0
Release: alt1

Summary: documentation-generation tool for Haskell libraries
License: BSD-style
Group: Development/Haskell
Url: http://www.haskell.org/haddock/
Packager: Alex V. Myltsev <avm@altlinux.ru>

Source: %name-%version.tar

BuildRequires: ghc >= 6.8.2, ghc-libghc, libreadline-devel, ncurses-devel

%description
This is Haddock, a tool for automatically generating documentation from
annotated Haskell source code. It is primarily intended for documenting
libraries, but it should be useful for any kind of Haskell code.

Like other systems (IDoc,HDoc), Haddock lets you write documentation
annotations next to the definitions of functions and types in the source code,
in a syntax that is easy on the eye when writing the source code (no
heavyweight mark-up).

%prep
%setup

%build
%define pkgdir %_ghclibdir/%name-%version
runhaskell Setup.lhs configure \
	--ghc \
	--prefix=%prefix \
	--libdir=%_ghclibdir \
	--libsubdir=%name-%version \
	--datasubdir=%name
runhaskell Setup.lhs build

%install
runhaskell Setup.lhs copy --destdir=%buildroot

%files
%_bindir/*
%_datadir/%name

%changelog
* Wed Jan 16 2008 Alex V. Myltsev <avm@altlinux.ru> 2.0.0.0-alt1
- New version: understands all syntax understood in 6.8.2, can read .lhs, etc.

* Sun Jan 06 2008 Alex V. Myltsev <avm@altlinux.ru> 0.9-alt1
- Initial build for Sisyphus.

